dnsjit.core.object.dns.q(3)

NAME
dnsjit.core.object.dns.q - Container of a DNS question

DESCRIPTION
The object that describes a DNS question.

  Attributes

have_type
    Set if there is a type.

have_class
    Set if there is a class.

type
    The type.

class
    The class.

labels
    The number of labels found in the question.

  Functions

Q.new(size)
    Create a new question.

SEE ALSO
dnsjit.core.object.dns(3)

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://codeberg.org/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net